Bug 28852 - failonerror attribute on Ant tasks
failonerror attribute on Ant tasks
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
All All
: P3 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
: 10225 (view as bug list)
Depends on:
  Show dependency tree
Reported: 2004-05-08 20:23 UTC by Stephane Bailliez
Modified: 2011-03-14 07:57 UTC (History)
1 user (show)

failonerror attribute (15.08 KB, patch)
2004-05-10 11:53 UTC, Stephane Bailliez
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Bailliez 2004-05-08 20:23:38 UTC
failonerror boolean attribute on manager Ant tasks would be a nice have to 
allow for more flexible operation within Ant build files.

I will attach a patch next week that also fixes unecessary CRs during response 
read/print and missing url encoding in some tasks.
Comment 1 Stephane Bailliez 2004-05-10 11:53:49 UTC
Created attachment 11484 [details]
failonerror attribute
Comment 2 Stephane Bailliez 2004-05-10 11:56:15 UTC
The patch also includes a small refactoring of the validation inside a validate
() method, read/display response correctly (previous CRs problems) and add url 
encoding where it was not existing.
Comment 3 Mark Thomas 2010-12-14 19:37:40 UTC
*** Bug 10225 has been marked as a duplicate of this bug. ***
Comment 4 Mark Thomas 2011-02-28 13:21:19 UTC
failonerror support and the CR issue had already been fixed.
I have added the URL encoding where it was missing.

This has been fixed in 7.0.x for 7.0.10 onwards and has been proposed for 6.0.x and 5.5.x.

Changing the version to 5.5.x since that is the earliest supported version affected by this issue.
Comment 5 Mark Thomas 2011-03-10 08:58:12 UTC
Fixed in 6.0.x and will be included in 6.0.33 onwards.
Comment 6 Mark Thomas 2011-03-14 07:57:28 UTC
Fixed in 5.5.x and will be included in 5.5.34 onwards.